Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Class Printer

    java.lang.Object
      weblogic.apache.xml.serialize.Printer

Direct Known Subclasses:
  IndentPrinter

Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.Printer.

    public class Printer

extends Object

The printer is responsible for sending text to the output stream or writer. This class performs direct writing for efficiency. `IndentPrinter` supports indentation and line wrapping by extending this class.

Field Summary
`protected Writer` | `_docWriter` Deprecated. Holds a reference to the document writer while we are in DTD mode.
`protected StringWriter` | `_dtdWriter` Deprecated. The DTD writer.
`protected IOException` | `_exception` Deprecated. Holds the exception thrown by the serializer.
`protected OutputFormat` | `_format` Deprecated. The output format associated with this serializer.
`protected Writer` | `_writer` Deprecated. The writer to which the document is written.

Constructor Summary
`Printer(Writer writer, OutputFormat format)` Deprecated.

Method Summary
`void` | `breakLine()` Deprecated.
`void` | `breakLine(boolean preserveSpace)` Deprecated.
`void` | `enterDTD()` Deprecated. Called by any of the DTD handlers to enter DTD mode.
`void` | `flush()` Deprecated. Flush the output stream.
`void` | `flushLine(boolean preserveSpace)` Deprecated.
`IOException` | `getException()` Deprecated.
`int` | `getNextIndent()` Deprecated.
`void` | `indent()` Deprecated.
`String` | `leaveDTD()` Deprecated. Called by the root element to leave DTD mode and if any DTD parts were printer, will return a string with their textual content.
`void` | `printSpace()` Deprecated.
`void` | `printText(char ch)` Deprecated.
`void` | `printText(char[] chars, int start, int length)` Deprecated.
`void` | `printText(String text)` Deprecated.
`void` | `printText(StringBuffer text)` Deprecated.
`void` | `setNextIndent(int indent)` Deprecated.
`void` | `setThisIndent(int indent)` Deprecated.
`void` | `unindent()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _format

    protected final OutputFormat _format

  Deprecated.
  The output format associated with this serializer. This will never be a null reference. If no format was passed to the constructor, the default one for this document type will be used. The format object is never changed by the serializer.

### _writer

    protected Writer _writer

  Deprecated.
  The writer to which the document is written.

### _dtdWriter

    protected StringWriter _dtdWriter

  Deprecated.
  The DTD writer. When we switch to DTD mode, all output is accumulated in this DTD writer. When we switch out of it, the output is obtained as a string. Must not be reset to null until we're done with the document.

### _docWriter

    protected Writer _docWriter

  Deprecated.
  Holds a reference to the document writer while we are in DTD mode.

### _exception

    protected IOException _exception

  Deprecated.
  Holds the exception thrown by the serializer. Exceptions do not cause the serializer to quit, but are held and one is thrown at the end.

Constructor Detail

### Printer

    public Printer(Writer writer,
                   OutputFormat format)

  Deprecated.

Method Detail

### getException

    public IOException getException()

  Deprecated.

### enterDTD

    public void enterDTD()
                  throws IOException

  Deprecated.
  Called by any of the DTD handlers to enter DTD mode. Once entered, all output will be accumulated in a string that can be printed as part of the document's DTD. This method may be called any number of time but will only have affect the first time it's called. To exist DTD state and get the accumulated DTD, call `Printer.leaveDTD()`.

  Throws:
    `IOException`

### leaveDTD

    public String leaveDTD()
                    throws IOException

  Deprecated.
  Called by the root element to leave DTD mode and if any DTD parts were printer, will return a string with their textual content.

  Throws:
    `IOException`

### printText

    public void printText(String text)
                   throws IOException

  Deprecated.
  Throws:
    `IOException`

### printText

    public void printText(StringBuffer text)
                   throws IOException

  Deprecated.
  Throws:
    `IOException`

### printText

    public void printText(char[] chars,
                          int start,
                          int length)
                   throws IOException

  Deprecated.
  Throws:
    `IOException`

### printText

    public void printText(char ch)
                   throws IOException

  Deprecated.
  Throws:
    `IOException`

### printSpace

    public void printSpace()
                    throws IOException

  Deprecated.
  Throws:
    `IOException`

### breakLine

    public void breakLine()
                   throws IOException

  Deprecated.
  Throws:
    `IOException`

### breakLine

    public void breakLine(boolean preserveSpace)
                   throws IOException

  Deprecated.
  Throws:
    `IOException`

### flushLine

    public void flushLine(boolean preserveSpace)
                   throws IOException

  Deprecated.
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Deprecated.
  Flush the output stream. Must be called when done printing the document, otherwise some text might be buffered.

  Throws:
    `IOException`

### indent

    public void indent()

  Deprecated.

### unindent

    public void unindent()

  Deprecated.

### getNextIndent

    public int getNextIndent()

  Deprecated.

### setNextIndent

    public void setNextIndent(int indent)

  Deprecated.

### setThisIndent

    public void setThisIndent(int indent)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD